> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/report-data/logging/instabug-logging.md).

# Luciq Logging

API reference for Luciq logging. Send messages at verbose, info, debug, error, and warning levels and filter them on your dashboard.

Luciq logging functions very similarly to normal logging with the added benefits of having different verbosity levels. These can be filtered on the [Luciq dashboard](https://dashboard.luciq.ai/).

The available verbosity levels are:

* Log
* Verbose
* Info
* Warning
* Debug
* Error

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
LCQLog.log("Log statement")
LCQLog.logVerbose("Verbose statement")
LCQLog.logInfo("Info statement")
LCQLog.logWarn("Warning statement")
LCQLog.logDebug("Debug statement")
LCQLog.logError("Error statement")
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQLog(@"Log message");
LCQLogVerbose(@"Verbose log message");
LCQLogDebug(@"Debug log message");
LCQLogInfo(@"Info log message");
LCQLogWarn(@"Warn log message");
LCQLogError(@"Error log message");
```

{% endtab %}

{% tab title="And - Java" %}

```java
LuciqLog.d("Message to log");
LuciqLog.v("Message to log");
LuciqLog.i("Message to log");
LuciqLog.e("Message to log");
LuciqLog.w("Message to log");
LuciqLog.wtf("Message to log");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
LuciqLog.d("Message to log")
LuciqLog.v("Message to log")
LuciqLog.i("Message to log")
LuciqLog.e("Message to log")
LuciqLog.w("Message to log")
LuciqLog.wtf("Message to log")
```

{% endtab %}

{% tab title="RN" %}

```javascript
Luciq.logVerbose("Message to log")
Luciq.logInfo("Message to log")
Luciq.logDebug("Message to log")
Luciq.logError("Message to log")
Luciq.logWarn("Message to log")
```

{% endtab %}

{% tab title="Flutter" %}

```dart
LuciqLog.logVerbose("Message to log")
LuciqLog.logInfo("Message to log")
LuciqLog.logDebug("Message to log")
LuciqLog.logError("Message to log")
LuciqLog.logWarn("Message to log")
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.luciq.ai/references/report-data/logging/instabug-logging.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
